## kde-workspace 4.8.5

=== kcheckpass/CMakeLists.txt ===

include_directories( ${UNIXAUTH_INCLUDE_DIRS} )
check_include_files(paths.h HAVE_PATHS_H)
configure_file (config-kcheckpass.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kcheckpass.h )

set(kcheckpass_SRCS
	kcheckpass.h
	kcheckpass.c
	checkpass_etcpasswd.c
	checkpass_pam.c
	checkpass_shadow.c
	checkpass_osfc2passwd.c
	checkpass_aix.c
)

kde4_add_executable(kcheckpass NOGUI ${kcheckpass_SRCS})

if (KDE4_ENABLE_FPIE)
	macro_add_compile_flags(kcheckpass ${KDE4_CXX_FPIE_FLAGS})
	macro_add_link_flags(kcheckpass ${KDE4_PIE_LDFLAGS})
endif (KDE4_ENABLE_FPIE)

macro_add_compile_flags(kcheckpass -U_REENTRANT)
target_link_libraries(kcheckpass ${KDE4_KDEFAKES_LIBS} ${UNIXAUTH_LIBRARIES} ${SOCKET_LIBRARIES})
install(TARGETS kcheckpass DESTINATION ${LIBEXEC_INSTALL_DIR})
install(CODE "
    set(KCP_PATH \"\$ENV{DESTDIR}${LIBEXEC_INSTALL_DIR}/kcheckpass\")
    EXECUTE_PROCESS(COMMAND sh -c \"chown root '\${KCP_PATH}' && chmod +s '\${KCP_PATH}'\")
")

#EXTRA_DIST = README

=== solid/CMakeLists.txt ===
include(MacroEnsureVersion)
macro_optional_find_package(NetworkManager)
    
add_subdirectory(kcm)
add_subdirectory(solid-actions-kcm)
add_subdirectory(icons)

IF("${CMAKE_SYSTEM}" MATCHES "Linux")
  add_subdirectory(solidshell)
ENDIF("${CMAKE_SYSTEM}" MATCHES "Linux")

set(HAVE_NETWORKMANAGER FALSE)
if(NETWORKMANAGER_FOUND)
  if(${NETWORKMANAGER_VERSION} VERSION_GREATER "0.6.9999" AND
     ${NETWORKMANAGER_VERSION} VERSION_LESS "0.8.1001")
    message(STATUS "Will build networkmanager-0.7")
    set(HAVE_NETWORKMANAGER TRUE)
    add_subdirectory(networkmanager-0.7)
  else()
    message(STATUS "Sorry, networkmanager-0.7 will not be built since your NetworkManager version (${NETWORKMANAGER_VERSION}) is not currently supported")
    if (${NETWORKMANAGER_VERSION} VERSION_GREATER "0.8.999")
      message(STATUS "Will build networkmanager_fake-0.9")
      set(HAVE_NETWORKMANAGER TRUE)
      add_subdirectory(networkmanager_fake-0.9)
    endif ()
  endif()
endif (NETWORKMANAGER_FOUND)
macro_log_feature(HAVE_NETWORKMANAGER "NetworkManager" "A daemon for user controlled networking" "http://www.gnome.org/projects/NetworkManager" FALSE "0.7.0" "Needed for building Network Management support in Solid. Max version supported is 0.8.10")

set(HAVE_MODEMMANAGER FALSE)
if("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
  message(STATUS "Will build modemmanager-0.4")
  set(HAVE_MODEMMANAGER TRUE)
  add_subdirectory(modemmanager-0.4)
endif("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")

if(NOT WIN32)
  macro_optional_add_subdirectory(wicd)
endif(NOT WIN32)

=== kcontrol/kfontinst/CMakeLists.txt ===
if (KFI_BUILD_STANDALONE)
    cmake_minimum_required(VERSION 2.6.4)
    find_package(KDE4 "4.6.0" REQUIRED)
    find_package(Qt4 REQUIRED)
    find_package(Freetype REQUIRED)
    find_package(Fontconfig REQUIRED)
    find_package(Strigi REQUIRED)
    find_package(X11 REQUIRED)
    include(KDE4Defaults)
endif (KFI_BUILD_STANDALONE)

if (X11_Xft_FOUND)
    check_include_files(locale.h HAVE_LOCALE_H)
    configure_file(config-fontinst.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-fontinst.h)
    include_directories(
        ${KDE4_INCLUDES}
        ${FREETYPE_INCLUDE_DIR}
        ${FONTCONFIG_INCLUDE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/lib
        ${CMAKE_CURRENT_BINARY_DIR}/lib
        ${CMAKE_CURRENT_SOURCE_DIR}/dbus
        ${CMAKE_CURRENT_BINARY_DIR}/dbus
        ${CMAKE_CURRENT_SOURCE_DIR}/viewpart
        ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst
        ${CMAKE_CURRENT_BINARY_DIR}/kcmfontinst)
    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

    set(libkfontinstdbusiface_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbus/FontinstIface.cpp)
    set(libkfontinstview_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/FontPreview.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/PreviewSelectAction.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/CharTip.cpp )
    set(libkfontinstactionlabel_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/ActionLabel.cpp)
    set(libkfontinstjobrunner_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/JobRunner.cpp
                                   ${libkfontinstactionlabel_SRCS}
                                   ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/FontsPackage.cpp)

    add_subdirectory( lib ) 
    add_subdirectory( dbus )
    add_subdirectory( kcmfontinst ) 
    add_subdirectory( strigi-analyzer )
    add_subdirectory( apps )
    add_subdirectory( kio ) 
    add_subdirectory( thumbnail )
    add_subdirectory( viewpart )

    kde4_install_icons( ${ICON_INSTALL_DIR} )

endif (X11_Xft_FOUND)

macro_log_feature(X11_Xft_FOUND "libxft" "X FreeType interface library" "http://www.x.org" FALSE "" "Font installer and font previews")

=== kcontrol/screensaver/CMakeLists.txt ===

if(WITH_OpenGL)
check_library_exists(GL glXChooseVisual "" HAVE_GLXCHOOSEVISUAL)
endif(WITH_OpenGL)
configure_file (config-screensaver.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-screensaver.h )

########### next target ###############

set(kcm_screensaver_PART_SRCS
   scrnsave.cpp
   testwin.cpp
   saverconfig.cpp
   kswidget.cpp)

set(kscreensaver_xml  ${KDEBASE_WORKSPACE_SOURCE_DIR}/krunner/dbus/org.kde.screensaver.xml)
QT4_ADD_DBUS_INTERFACE( kcm_screensaver_PART_SRCS ${kscreensaver_xml} kscreensaver_interface )



kde4_add_ui_files(kcm_screensaver_PART_SRCS screensaver.ui )

kde4_add_plugin(kcm_screensaver ${kcm_screensaver_PART_SRCS})


target_link_libraries(kcm_screensaver ${KDE4_PLASMA_LIBS} ${X11_LIBRARIES} kworkspace)

find_library(DL_LIBRARY dl)
if (DL_LIBRARY)
  target_link_libraries(kcm_screensaver ${DL_LIBRARY})
endif(DL_LIBRARY)

if(HAVE_GLXCHOOSEVISUAL)
   target_link_libraries(kcm_screensaver ${OPENGL_gl_LIBRARY})
endif(HAVE_GLXCHOOSEVISUAL)


install(TARGETS kcm_screensaver  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES screensaver.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kcontrol/standard_actions/CMakeLists.txt ===
set(kcm_standard_actions_PART_SRCS standard_actions_module.cpp)

kde4_add_plugin(kcm_standard_actions ${kcm_standard_actions_PART_SRCS})

target_link_libraries(kcm_standard_actions ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${X11_X11_LIB})

install(TARGETS kcm_standard_actions DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES standard_actions.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== ksplashqml/themes/CMakeLists.txt ===
add_subdirectory(Minimalistic)

=== kwin/kcmkwin/CMakeLists.txt ===
kde4_no_enable_final( kwinoptions )

add_subdirectory( kwinoptions )
add_subdirectory( kwindecoration )
add_subdirectory( kwinrules )
add_subdirectory( kwincompositing )
if(KWIN_BUILD_SCREENEDGES)
    add_subdirectory( kwinscreenedges )
endif(KWIN_BUILD_SCREENEDGES)
add_subdirectory( kwindesktop )

if( KWIN_BUILD_TABBOX )
add_subdirectory( kwintabbox )
endif( KWIN_BUILD_TABBOX )

=== kwin/libkwineffects/CMakeLists.txt ===
########### next target ###############

###  effects lib  ###
set(kwin_EFFECTSLIB_SRCS
    kwinglobals.cpp
    kwineffects.cpp
    anidata.cpp
    kwinanimationeffect.cpp
    kwinxrenderutils.cpp
    )

kde4_add_library(kwineffects SHARED ${kwin_EFFECTSLIB_SRCS})
target_link_libraries(kwineffects ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY}
    ${X11_LIBRARIES} kephal
    ${X11_Xrender_LIB}
    ${X11_Xrandr_LIB}
    ${X11_Xcomposite_LIB}
    ${X11_Xdamage_LIB}
    ${X11_Xfixes_LIB}
)
set_target_properties(kwineffects PROPERTIES VERSION 1.0.0 SOVERSION 1 )

install(TARGETS kwineffects EXPORT kdeworkspaceLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

# kwingl(es)utils library
set(kwin_GLUTILSLIB_SRCS
    kwinglutils.cpp
    kwingltexture.cpp
    kwinglutils_funcs.cpp
    kwinglplatform.cpp
    )

macro( KWIN4_ADD_GLUTILS_BACKEND name glinclude )
    include_directories(${glinclude})
    kde4_add_library(${name} SHARED ${kwin_GLUTILSLIB_SRCS})
    target_link_libraries(${name} ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY} ${X11_LIBRARIES} kephal kwineffects)
    set_target_properties(${name} PROPERTIES VERSION 1.0.0 SOVERSION 1 )
    target_link_libraries(${name} ${ARGN})
    target_link_libraries(${name} LINK_INTERFACE_LIBRARIES ${ARGN})

    install(TARGETS ${name} EXPORT kdeworkspaceLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
endmacro( KWIN4_ADD_GLUTILS_BACKEND )

if(OPENGLES_FOUND)
    KWIN4_ADD_GLUTILS_BACKEND(kwinglesutils ${OPENGLES_INCLUDE_DIR} ${OPENGLES_LIBRARIES})
    set_target_properties(kwinglesutils PROPERTIES COMPILE_FLAGS -DKWIN_HAVE_OPENGLES)
endif(OPENGLES_FOUND)
if(OPENGL_FOUND)
    KWIN4_ADD_GLUTILS_BACKEND(kwinglutils ${OPENGL_INCLUDE_DIR} ${OPENGL_gl_LIBRARY})

    target_link_libraries(kwinglutils ${OPENGL_gl_LIBRARY})
    target_link_libraries(kwinglutils LINK_INTERFACE_LIBRARIES ${OPENGL_gl_LIBRARY})
    # -ldl used by OpenGL code
    find_library(DL_LIBRARY dl)
    if (DL_LIBRARY)
        target_link_libraries(kwinglutils ${DL_LIBRARY})
    endif(DL_LIBRARY)
endif(OPENGL_FOUND)

install( FILES
    kwinglobals.h
    kwineffects.h
    kwinanimationeffect.h
    kwinglplatform.h
    kwinglutils.h
    kwinglutils_funcs.h
    kwingltexture.h
    kwinxrenderutils.h
    ${CMAKE_CURRENT_BINARY_DIR}/kwinconfig.h
    DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== doc/kcontrol/colors/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/colors)

=== doc/kcontrol/multiplemonitors/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/multiplemonitors)

=== ksysguard/ksysguardd/Solaris/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/../CContLib ${CMAKE_CURRENT_SOURCE_DIR}/../ )

ADD_LIBRARY(libksysguardd STATIC 
            LoadAvg.c
            Memory.c
            NetDev.c
            ProcessList.c)

if(EXISTS /dev/kstat)
  ADD_DEFINITIONS(-DHAVE_KSTAT)
  FIND_LIBRARY(KSTAT_LIBRARY NAMES kstat)
  TARGET_LINK_LIBRARIES(libksysguardd ${KSTAT_LIBRARY})
ENDIF(EXISTS /dev/kstat)

=== kwin/effects/_test/CMakeLists.txt ===
# Adds effect plugin with given name. Sources are given after the name
macro(KWIN4_ADD_EFFECT name)
    kde4_add_plugin(kwin4_effect_${name} ${ARGN})
    target_link_libraries(kwin4_effect_${name} kwineffects ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} kephal)
    install(TARGETS kwin4_effect_${name} DESTINATION ${PLUGIN_INSTALL_DIR})
endmacro(KWIN4_ADD_EFFECT)

macro(KWIN4_ADD_EFFECT_CONFIG name)
    kde4_add_plugin(kcm_kwin4_effect_${name} ${ARGN})
    target_link_libraries(kcm_kwin4_effect_${name} kwineffects ${KDE4_KDEUI_LIBS})
    install(TARGETS kcm_kwin4_effect_${name} DESTINATION ${PLUGIN_INSTALL_DIR})
endmacro(KWIN4_ADD_EFFECT_CONFIG)

### tests - meant to test/demo certain functionality, not really usable for end-users
SET(kwin4_effect_tests_sources
    demo_shakymove.cpp
    demo_shiftworkspaceup.cpp
    drunken.cpp
    flame.cpp
    howto.cpp
    test_input.cpp
    test_thumbnail.cpp
    kicker/kicker.cpp
    )
install( FILES
    demo_shakymove.desktop
    demo_shiftworkspaceup.desktop
    drunken.desktop
    flame.desktop
    howto.desktop
    test_input.desktop
    test_thumbnail.desktop
    kicker/kicker.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

if(OPENGL_FOUND)
    # opengl test/demo stuff
    SET(kwin4_effect_tests_sources ${kwin4_effect_tests_sources}
        demo_liquid.cpp
        demo_showpicture.cpp
        demo_wavywindows.cpp
        ../cube/cube_proxy.cpp
        ../cube/cube.cpp
        gears.cpp
        test_fbo.cpp
        )

    install( FILES
        demo_liquid.desktop
        demo_showpicture.desktop
        demo_wavywindows.desktop
        gears.desktop
        test_fbo.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

    install( FILES
        data/liquid.frag
        data/liquid.vert
        DESTINATION  ${DATA_INSTALL_DIR}/kwin )
endif(OPENGL_FOUND)

# add the plugin
KWIN4_ADD_EFFECT(tests ${kwin4_effect_tests_sources})


### videocapture plugin
include(UsePkgConfig)
PKGCONFIG(libcaptury CAPTURY_INCLUDES CAPTURY_LINK_DIR CAPTURY_LDFLAGS CAPTURY_CFLAGS)
if( CAPTURY_LDFLAGS )
    SET( CAPTURY_FOUND TRUE )
endif( CAPTURY_LDFLAGS )

macro_log_feature(CAPTURY_FOUND "Captury framework library" "Realtime video capturing framework e.g. screen casts" "http://gitorious.org/projects/libcaptury" FALSE "0.3.0" "Provides for video recording desktop effects.")

macro_bool_to_01( CAPTURY_FOUND HAVE_CAPTURY )
if( CAPTURY_FOUND )
    KWIN4_ADD_EFFECT(videorecord videorecord.cpp)
    KWIN4_ADD_EFFECT_CONFIG(videorecord videorecord_config.cpp)
    target_link_libraries(kwin4_effect_videorecord ${KDE4_KIO_LIBS} ${CAPTURY_LDFLAGS})
    install( FILES videorecord.desktop videorecord_config.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kwin )
endif( CAPTURY_FOUND )

=== debian/changelog ===
kde-workspace (4:4.8.5-0ubuntu0.3) precise-proposed; urgency=low

  * Add fix_plasma_init_order.diff from upstream to fix plasma init 
    order LP: #1123126

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 13 Feb 2013 10:18:02 +0000

kde-workspace (4:4.8.5-0ubuntu0.2) precise-proposed; urgency=low

  * Add fix-powerdevil-profile-generation.patch to ensure powerdevil
    profiles are created using appropriate information on support of suspend
    and hibernate (LP: #1066892)

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Oct 2012 11:38:40 +0200

kde-workspace (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)
     - Drop patches previously cherrypicked from upstream:
        Remove_second_invisible_ProcessTable_widget.patch
        Fix_regression_that_you_couldnt_add_new_beams.patch
        Prevent_user_from_hiding_all_columns.patch
        observe_polkit_privileges_with_CanSuspend_CanResume.diff

  [ Jonathan Riddell ]
  * Add kde-workspace_4.8.5.orig-ksplash.tar.gz with ariya theme
    which was missed from tar by upsteram
  * Add kubuntu_remove_horos_ksplash_theme.diff to remove horos theme

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 18:06:44 +0200

kde-workspace (4:4.8.4a-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)
    - Refresh kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff
    - Update kde-workspace-data.install
  * Cherry-pick ksysguard fixes from the 4.8 branch:
    - Remove_second_invisible_ProcessTable_widget.patch
    - Fix_regression_that_you_couldnt_add_new_beams.patch
    - Prevent_user_from_hiding_all_columns.patch
  * Cherry-pick fix to make powerdevil respect the SuspendAllowed and
    HibernateAllowed upower properties.
    - Add observe_polkit_privileges_with_CanSuspend_CanResume.diff

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:34:15 +0200

kde-workspace (4:4.8.3-0ubuntu0.2) precise-proposed; urgency=low

  * add kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff to
    revert the broken openGL build fixes from this commit.
    Replaces kubuntu_fix_gleffects.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 24 May 2012 23:57:18 +0200

kde-workspace (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)
    - Add kubuntu_fix_gleffects.diff so the logout effect is installed.

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 20:51:27 +0200

=== debian/control ===
Source: kde-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
 libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
 libqimageblitz-dev (>= 1:0.0.4-2),
 zlib1g-dev,
 libdbusmenu-qt-dev (>= 0.6.0),
 libfontconfig-dev,
 libglu1-mesa-dev, libqt4-opengl-dev, libgles2-mesa-dev [linux-any kfreebsd-any],
 python-dev (>= 2.6.6-3~),
 shared-desktop-ontologies (>= 0.8),
 libpam0g-dev,
 libnm-util-dev (>= 0.9) [linux-any],
 network-manager-dev (>= 0.9) [linux-any],
 libraw1394-dev [linux-any],
 libusb-dev, libpci-dev,
 libakonadi-dev (>= 1.1.95), libboost1.46-dev,
 libgps-dev (>= 2.90),
 libck-connector-dev, libdbus-1-dev,
 libsensors4-dev [linux-any],
 libdevstat-dev [kfreebsd-any],
 libxkbfile-dev, libxrandr-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
 libxfixes-dev, libxft-dev, libxtst-dev, libxss-dev, libsm-dev, libxinerama-dev, libxi-dev,
 libpng12-dev, libjpeg-dev, libxcursor-dev,
 libqalculate-dev, libglib2.0-dev,
 libqtwebkit-dev,
 libprison-dev, kdelibs5-experimental-dev, libkactivities-dev
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-workspace.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-workspace.git

Package: kde-workspace
Architecture: all
Depends:  kde-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}) | kde-window-manager-gles (>= ${source:Version}), 
 systemsettings (>= ${source:Version}), freespacenotifier (>= ${source:Version})
Recommends: kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
 kmenuedit (>= ${source:Version})
Breaks: libpowerdevilcore0, kdebase-workspace (<< 4:4.7.4) 
Replaces: libpowerdevilcore0, kdebase-workspace (<< 4:4.7.4) 
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: kdebase-workspace
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, kde-workspace
Description: transitional package for kde-workspace
 This is a dummy transitional package for kde-workspace and can be safely
 removed after the installation is complete.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
 libkactivities-bin
Recommends: kde-workspace
Replaces: kdebase-workspace-bin (<< 4:4.5.80), plasma-widgets-workspace (<< 4:4.5.80),
 kdebase-workspace-data (<< 4:4.6.80)
Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.80),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
 libkactivities-bin
Recommends: kde-workspace
Replaces: plasma-widgets-workspace (<< 4:4.5.80)
Description: KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
 kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus
Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
 upower [linux-any]
Suggests: x11-xkb-utils, plasma-scriptengines
Replaces: kcontrol, ktip, libkfontinst4, ksplash, kdesktop,
 kde-window-manager (<< 4:4.5.80), kdebase-workspace-data (<< 4:4.6.80),
 kdebase-workspace-libs4+5, kinfocenter (<= 4:4.5.80),
 plasma-widgets-workspace (<< 4:4.5.80), systemsettings (<< 4:4.5.80),
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), libpowerdevilcore0,
 plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
Breaks: kcontrol, ktip, libkfontinst4, kdesktop, ksplash,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), polkit-kde-1 (<< 0.99),
 kdebase-workspace-data (<< 4:4.6.80), libpowerdevilcore0,
 plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-bin
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, kde-workspace-bin
Description: transitional package for kde-workspace-bin
 This is a dummy transitional package for kde-workspace-bin and can be safely
 removed after the installation is complete.

Package: kde-workspace-data
Architecture: all
Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80)
Breaks: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80)
Suggests: kde-wallpapers
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-data-extras
Architecture: all
Depends: kde-wallpapers, kde-workspace-data (>= ${source:Version}),
 ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.8.0b-0ubuntu5~),
 kdm (<< 4:4.7.95), kdebase-workspace-wallpapers (<< 4:4.6.90)
Breaks: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.8.0b-0ubuntu5~),
 kdm (<< 4:4.7.95), kdebase-workspace-wallpapers (<< 4:4.6.90)
Description: extra data files for the KDE Plasma Workspace
 This package contains extra shared data files that aren't installed by default
 for space reasons.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}
Breaks: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.7.4)
Replaces: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.7.4)
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Architecture: all
Depends: ${misc:Depends}, kde-workspace-dev
Description: transitional package for kde-workspace-dev
 This is a dummy transitional package for kde-workspace-dev and can be safely
 removed after the installation is complete.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Replaces: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
 plasma-netbook (<< 4:4.6.80)
Breaks: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
 plasma-netbook (<< 4:4.6.80)
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends},
 akonadi-server, kdepim-runtime
Provides: notification-daemon, indicator-renderer
Replaces: plasma-dataengines-workspace (<< 4:4.8), plasma-desktop (<< 4:4.8),
 libplasma-applet-system-monitor4
Breaks: plasma-dataengines-workspace (<< 4:4.8), plasma-desktop (<< 4:4.8),
 libplasma-applet-system-monitor4
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
# plasma-scriptengine-qedje (>= ${source:Version}),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kde-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE base workspace module.

#Package: plasma-scriptengine-qedje
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: QEdje script engine for Plasma
# This package provides the Edje script engine for Plasma. You have to install it

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kde-workspace-dev
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

BINARYVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

override_dh_auto_clean:
	$(overridden_command)
	rm -rf debian/build-kwin-active debian/tmp-kwin-active

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm
	$(overridden_command) -Bdebian/build-kwin-active -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm -DKWIN_PLASMA_ACTIVE=true

override_dh_auto_build:
	$(overridden_command)
	$(overridden_command) -Bdebian/build-kwin-active

override_dh_auto_install:
	$(overridden_command)
	$(overridden_command) -Bdebian/build-kwin-active --destdir=$(CURDIR)/debian/tmp-kwin-active
	chmod a-x debian/tmp/usr/share/autostart/klipper.desktop

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kde-workspace-dbg

override_dh_makeshlibs:
	$(overridden_command) -pplasma-desktop -Xlibkickoff.so
	$(overridden_command) --remaining-packages -- -c0

override_dh_shlibdeps:
	$(overridden_command) -pkde-workspace-bin -- -xksysguard
	$(overridden_command) -pkde-workspace-dev -- -xkde-runtime
	$(overridden_command) $(foreach p,$(filter lib%,$(shell dh_listpackages -a)),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

# Prevent it from stopping kdm in prerm ever (--no-restart-on-upgrade is not
# enough)
override_dh_installinit:
	$(overridden_command) -pkdm --noscripts
	$(overridden_command) --remaining-packages

pkgs_with_install_linux = $(patsubst debian/%.install.linux,%,$(wildcard debian/*.install.linux))
override_dh_install:
	$(overridden_command)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# Also install common files in place of debian/*.install.linux variants
	dh_install $(foreach p,$(pkgs_with_install_linux),-p$p --ignore=debian/$p.install.linux)
endif
	if [ -d debian/kdm ]; then \
		install -p -D -m644 debian/kdm-np.pam debian/kdm/etc/pam.d/kdm-np && \
		install -p -D -m644 debian/kdm.insserv debian/kdm/etc/insserv.conf.d/kdm; \
	fi

## kde-workspace 4.9.2

=== kwin/tests/CMakeLists.txt ===
set( testUpdateKWin49_SRCS test_update_kwin_49.cpp ../data/update_kwin_49.cpp ../tabbox/tabboxconfig.cpp )
kde4_add_unit_test( testUpdateKWin49 TESTNAME TestUpdateKWin49 ${testUpdateKWin49_SRCS} )

target_link_libraries( testUpdateKWin49 ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

=== debian/changelog ===
kde-workspace (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 01:07:21 -0400

kde-workspace (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
  * Remove upstream_Ensure-that-the-start-Client-to-build-up-the-ClientM.patch
    and kubuntu_plasma_init_script.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:16:13 +0100

kde-workspace (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Add upstream_Ensure-that-the-start-Client-to-build-up-the-ClientM.patch
    from upstream fixing a memleak in kwin
  * Change sonames to be more generic (4.9.* instead of 4.9.0)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 05 Sep 2012 17:31:55 +0530

kde-workspace (4:4.9.0-0ubuntu4) quantal; urgency=low

  * Add kubuntu_plasma_init_script.diff from upstream, run
    plasma-desktop init script, LP: #1045839

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Sep 2012 15:19:45 +0100

kde-workspace (4:4.9.0-0ubuntu3) quantal; urgency=low

  * Simplify kubuntu_gtk2_engines_oxygen_config.diff and add GTK 3 settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Aug 2012 14:04:38 +0100

kde-workspace (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:51 +0100

kde-workspace (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * Remove patches/kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff fixed upstream
  * Remove debian/patches/kubuntu_fix_batterymonitor_panel_minsize.diff fix upstream
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:32:34 +0100

kde-workspace (4:4.8.90-0ubuntu3) quantal; urgency=low

  * In kde-workspace recommend lightdm-kde-greeter as well as kdm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jul 2012 11:45:11 +0100

kde-workspace (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Fix minimum size for batterymonitor applet when it's on the panel,
    upstream bug #301877.

 -- Romain Perier <bambi@ubuntu.com>  Sun, 17 Jun 2012 10:04:14 +0200

kde-workspace (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.
  * Update libprocesscore4abi1.symbols.

  [ Michal Zajac ]
  * Fixed install files

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 12 Jun 2012 15:58:26 +0200

kde-workspace (4:4.8.80-0ubuntu2) quantal; urgency=low

  * Make kde-workspace-bin depend on kde-base-artwork

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 10 Jun 2012 01:48:34 +0400

kde-workspace (4:4.8.80-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream beta release
    - Merge kde-workspace-data and kde-workspace-data-extras
    - drop kubuntu_active_fix_kwin_xrender_disable.diff (applyed upstream)
    - drop enable_kwinactive.diff (applyed upstream)
    - refresh 
      * enable_kwinactive.diff
      * kubuntu_upstart_session_events.diff

  [ Jonathan Thomas ]
  * New upstream beta release:
    - Update .install files
    - Update .symbols files
    - Bump libkdecoration4 Debian api, rename to libkdecoration4api1
    - Bump libkwineffects4 Debian api, rename to libkdwineffects4api4
  * Merge with Debian Git, remaining changes:
    - Add kdm.{links, upstart}
    - Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
    - Add kde-window-manager-gles.install and libkwineffects1abi2-gles.install
    - Move non-default kdm and ksplash themes to the new package
      kde-workspace-data-extras.
    - kdm.logrotate: rotate 7 -> rotate 2 to help stop excess disk usage
    - debian/control:
      - don't build against libggadget-1.0-dev, libggadget-qt-1.0-dev
        (they are in Universe)
      - Build against libbost1.49-dev instead of libboost-dev
      - Keep bumped our replaces/breaks
      - kde-workspace-bin suggests plasma-scriptengines instead of
        recommend
      - kdebase-workspace-data depends on oxygen-cursor-theme instead of oxygencursors
      - Keep kdebase-workspace-wallpapers
      - plasma-widgets-workspace depends on akonadi-server and kdepim-runtime
      - plasma-scriptengines not depends on plasma-scriptengine-googlegadgets
      - Don't build plasma-scriptengine-googlegadgets
    - debian/patches:
      - Use kdmrc_defaults_kubuntu.diff instead of kdmrc_defaults.diff
      - Don't add be_better_at_honouring_user_kdm_theming
      - Don't add use_dejavu_as_default_font
      - Don't add fix_target_link_libraries
      - Keep our patches
    - kde-workspace-bin.install do not install remote-widgets-browser

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 May 2012 16:26:55 -0400

kde-workspace (4:4.8.3-0ubuntu2) quantal; urgency=low

  * add kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff to
    revert the broken openGL build fixes from this commit.
    Replaces kubuntu_fix_gleffects.diff
    (LP: #997625)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 24 May 2012 21:22:29 +0200

kde-workspace (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add kubuntu_fix_gleffects.diff so the logout effect is installed.
  * Switch boost build-dep to 1.49 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 May 2012 08:00:19 +0200

kde-workspace (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Refresh patches.
  * Build-depend on kdepimlibs >= 4.8 and new libkactivities-dev.
  * Update not-installed files.
  * Update installed files.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.


=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
+Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, 
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
- libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
+ libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2),
+ libkactivities-dev (>= 4:4.9.2), libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
  libqimageblitz-dev (>= 1:0.0.4-2),
  zlib1g-dev,
  libdbusmenu-qt-dev (>= 0.6.0),
@@ -22,7 +22,7 @@
  network-manager-dev (>= 0.9) [linux-any],
  libraw1394-dev [linux-any],
  libusb-dev, libpci-dev,
- libakonadi-dev (>= 1.1.95), libboost1.46-dev,
+ libakonadi-dev (>= 1.1.95), libboost1.49-dev,
  libgps-dev (>= 2.90),
  libck-connector-dev, libdbus-1-dev,
  libsensors4-dev [linux-any],
@@ -32,8 +32,8 @@
  libpng12-dev, libjpeg-dev, libxcursor-dev,
  libqalculate-dev, libglib2.0-dev,
  libqtwebkit-dev,
- libprison-dev, kdelibs5-experimental-dev, libkactivities-dev
-Standards-Version: 3.9.2
+ libprison-dev
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
@@ -47,10 +47,10 @@
  klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
  kde-window-manager (>= ${source:Version}) | kde-window-manager-gles (>= ${source:Version}), 
  systemsettings (>= ${source:Version}), freespacenotifier (>= ${source:Version})
-Recommends: kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
+Recommends: lightdm-kde-greeter | kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
  kmenuedit (>= ${source:Version})
-Breaks: libpowerdevilcore0, kdebase-workspace (<< 4:4.7.4) 
-Replaces: libpowerdevilcore0, kdebase-workspace (<< 4:4.7.4) 
+Breaks: kdebase-workspace (<< 4:4.7.2) 
+Replaces: kdebase-workspace (<< 4:4.7.2) 
 Description: KDE Plasma Workspace components
  KDE is produced by an international technology team that creates free and open
  source software for desktop and portable computing. Among KDE's products are a
@@ -63,6 +63,7 @@
 
 Package: kdebase-workspace
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-workspace
 Description: transitional package for kde-workspace
@@ -75,9 +76,8 @@
  plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
  libkactivities-bin
 Recommends: kde-workspace
-Replaces: kdebase-workspace-bin (<< 4:4.5.80), plasma-widgets-workspace (<< 4:4.5.80),
- kdebase-workspace-data (<< 4:4.6.80)
-Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.80),
+Replaces: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5)
+Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
 Description: KDE Plasma workspace for desktop and laptop computers
  Provides the environment for running and managing applications and integrating
@@ -94,7 +94,6 @@
  plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
  libkactivities-bin
 Recommends: kde-workspace
-Replaces: plasma-widgets-workspace (<< 4:4.5.80)
 Description: KDE Plasma workspace for netbook computers
  Provides the environment for running and managing applications and integrating
  interaction of applications. It is designed as generic environment for all
@@ -109,20 +108,15 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
  plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
  kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
- kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus
+ kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus, kde-base-artwork
 Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
  upower [linux-any]
 Suggests: x11-xkb-utils, plasma-scriptengines
 Replaces: kcontrol, ktip, libkfontinst4, ksplash, kdesktop,
- kde-window-manager (<< 4:4.5.80), kdebase-workspace-data (<< 4:4.6.80),
- kdebase-workspace-libs4+5, kinfocenter (<= 4:4.5.80),
- plasma-widgets-workspace (<< 4:4.5.80), systemsettings (<< 4:4.5.80),
- kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), libpowerdevilcore0,
- plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
+ kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2) 
 Breaks: kcontrol, ktip, libkfontinst4, kdesktop, ksplash,
- kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), polkit-kde-1 (<< 0.99),
- kdebase-workspace-data (<< 4:4.6.80), libpowerdevilcore0,
- plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
+ kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2),
+ polkit-kde-1 (<< 0.99)
 Description: core binaries for the KDE Plasma Workspace
  This package contains miscellaneous programs needed for a basic desktop
  installation. Among other standard KDE Workspace components, the package
@@ -134,6 +128,7 @@
 
 Package: kdebase-workspace-bin
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-workspace-bin
 Description: transitional package for kde-workspace-bin
@@ -144,11 +139,11 @@
 Architecture: all
 Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
 Replaces: ksmserver, ktip, ksplash, libplasma1,
- kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
- kde-icons-mono (<< 4:4.6.80)
+ kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
+ kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80)
 Breaks: ksmserver, ktip, ksplash, libplasma1,
- kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
- kde-icons-mono (<< 4:4.6.80)
+ kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
+ kdebase-workspace-data (<< 4:4.7.2), kde-workspace-data-extras (<< 4:4.8.80)
 Suggests: kde-wallpapers
 Description: shared data files for the KDE Plasma Workspace
  This package contains architecture-independent shared data files needed for a
@@ -157,29 +152,22 @@
  This package is part of the KDE base workspace module.
 
 Package: kde-workspace-data-extras
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: kde-wallpapers, kde-workspace-data (>= ${source:Version}),
  ${misc:Depends}, ${perl:Depends}
-Replaces: ksmserver, ktip, ksplash, libplasma1,
- kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
- kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.8.0b-0ubuntu5~),
- kdm (<< 4:4.7.95), kdebase-workspace-wallpapers (<< 4:4.6.90)
-Breaks: ksmserver, ktip, ksplash, libplasma1,
- kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
- kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.8.0b-0ubuntu5~),
- kdm (<< 4:4.7.95), kdebase-workspace-wallpapers (<< 4:4.6.90)
-Description: extra data files for the KDE Plasma Workspace
- This package contains extra shared data files that aren't installed by default
- for space reasons.
- .
- This package is part of the KDE base workspace module.
+Replaces: ksmserver, ktip, ksplash, libplasma1
+Breaks: ksmserver, ktip, ksplash, libplasma1
+Description: transitional package for kde-workspace-data
+ This package is save to remove
 
 Package: kde-workspace-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
  ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}
-Breaks: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.7.4)
-Replaces: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.7.4)
+Breaks: kdebase-workspace-dev (<< 4:4.7.2) 
+Replaces: kdebase-workspace-dev (<< 4:4.7.2) 
 Description: development files for the KDE Plasma Workspace
  This package contains development files for building software that uses
  libraries from the KDE Plasma Workspace.
@@ -187,6 +175,8 @@
  This package is part of the KDE base workspace module.
 
 Package: kdebase-workspace-dev
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-workspace-dev
 Description: transitional package for kde-workspace-dev
@@ -197,10 +187,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ksysguardd (= ${binary:Version})
-Replaces: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
- plasma-netbook (<< 4:4.6.80)
-Breaks: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
- plasma-netbook (<< 4:4.6.80)
+Replaces: kde-workspace-data (<< 4:4.8.80)
+Breaks: kde-workspace-data (<< 4:4.8.80)
 Description: KDE Plasma data engines
  This package contains standard Plasma data engines shipped in KDE Plasma
  workspace. These engines are needed by the standard KDE base
@@ -214,10 +202,8 @@
 Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends},
  akonadi-server, kdepim-runtime
 Provides: notification-daemon, indicator-renderer
-Replaces: plasma-dataengines-workspace (<< 4:4.8), plasma-desktop (<< 4:4.8),
- libplasma-applet-system-monitor4
-Breaks: plasma-dataengines-workspace (<< 4:4.8), plasma-desktop (<< 4:4.8),
- libplasma-applet-system-monitor4
+Replaces: kde-workspace-data (<< 4:4.8.80)
+Breaks: kde-workspace-data (<< 4:4.8.80)
 Description: plasma widgets and containments for the KDE Plasma Workspace
  This package contains standard Plasma widgets and containments shipped in the
  KDE base workspace module. They provide such basic desktop functionality as
@@ -250,3 +236,33 @@
 #Depends: ${shlibs:Depends}, ${misc:Depends}
 #Description: QEdje script engine for Plasma
 # This package provides the Edje script engine for Plasma. You have to install it
+# if you want to use Plasma widgets and data engines written in Edje.
+# .
+# This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-ruby
+Architecture: all
+Depends: ruby-plasma, ${misc:Depends}
+Description: Ruby script engine for Plasma
+ This package provides the Ruby script engine for Plasma. You have to install it
+ if you want to use Plasma widgets and data engines written in Ruby.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-python
+Architecture: all
+Depends: ${python:Depends}, python-kde4 (>= 4:4.6.80), ${misc:Depends},
+ python-qt4-dbus
+Description: Python script engine for Plasma
+ This package provides the Python script engine for Plasma. You have to install
+ it if you want to use Plasma widgets and data engines written in Python.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-webkit
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Web and Mac OS X dashboard widget support for Plasma
+ This package provides the WebKit script engine for Plasma which adds support
+ for the webpage widgets written in HTML and JavaScript and for the Apple
+ Mac OS X dashboard widgets. You have to install this package if you want to be
